This is zchaff2hcVip

<?php
    $dimacs = $argv[1];
	if ($dimacs == "") {
		echo("c Syntax: php ".$argv[0]." <dimacs instance>\nzChaff output read from stdin");
		exit;
	};

	$file = fopen($dimacs, "r") or die("Unable to open dimacs file");
	
	$dictionary = NULL; // Will be an array: dimacsVar --> "dest,time" (visit(dest,time)==t)
	
	while(!feof($file)) {
		  $line =  trim(fgets($file));
		  //echo("checking line $line\n");
		  if ($line === "c START DICTIONARY") break;
	}
	if (feof($file)) die("Could not find dictionary");
	
	// found START DICTIONARY LINE
	while(!feof($file)) {
		  $line =  trim(fgets($file));
		  if ($line == "c END DICTIONARY") break;
		  // line of the form: "c varname(param1,...,paramn) = $dimacsVar"
		  list($left, $right) = split("=", $line);
		  $left = trim($left);
		  $right = trim($right);
		  $matches = NULL;
		  //echo("Found dictionary entry: $left --> $right\n");
		  // c visit($dest,$time) = $dimacsVar
		  if (strstr($left, "c visit(")) { // Skip all families of variables except visit() 
			  preg_match("/([^(]*)\(([^(]*)\)/", $left, $matches);
			  $varList = $matches[2];
			  $dictionary[$right] = $varList;
		  }
	}
	//print_r($dictionary);
	fclose($file);
		
	$file = fopen("php://stdin", "r");	
	
	
	$PATH == array(); // Array:  PATH[time] = dest 
	
	$RUNTIME = null;
	
	$SAT = false;
	
	while(!feof($file)) {
		  $line =  trim(fgets($file));		  
		  if ($line === "Instance Satisfiable") {
		  	$SAT = true;		  
			// next line is the model found
			$line = trim(fgets($file));
			$model = split(" ", $line);
		}
		  else if (strpos($line, "Total Run Time") !== FALSE) {
		  		preg_match("/[^0-9]*([0-9.]*)/", $line, $matches);
		  		//print_r($matches);
		  		$RUNTIME = $matches[1];
		  }
	}
	
	echo("\nSAT solver runtime: $RUNTIME\n\n");
	
	if (!$SAT) {
		echo("No solution found.\n");
		exit;
	}
	
	

	foreach($model as $l) {
		if (!is_numeric($l)) continue;	
		if ($l < 0) continue;

		$varList = $dictionary[$l];
		if ($varList === NULL) {
			die("Could not find a dictionary entry for dimacs variable $l\n");
		}
		$vars = split(",", $varList);
		//echo("$varList --> dest=". $vars[0] . ", time=" . $vars[1] ."\n");
		//echo("Model says: visit(d=".$vars[0].", t=".$vars[1].")\n");
			
		$PATH[$vars[1]] = $vars[0];
	}
	echo("\n");
	

	echo("Solution found:\n\n");
	echo("[Time 1] Leave home\n");
	$time = 2;
	while(isset($PATH[$time])) {
		echo("[Time $time] Then go to destination ".$PATH[$time]."\n");
		$time++;
	}
	echo("[Time ".($time)."] Finally, go back home: you've done for today!\n");
?>
